Jump to content

contour line help


Recommended Posts

Posted

In the attached picture, you can see that if I offset the spline at -25.00 contour, there are many more grip points. I turned the -20.00 contour to a polyline, by using FLATTEN in Express Tools, and then offset it, and you can see that there are fewer grip points. Then use PEDIT, and decurve the polyline and there are even fewer grip points. You can now move these points where you want them. When you have moved them, then use PEDIT, and fit a curve.

 

I have given you all the commands that you need, and now you have to find out these commands and learn. :wink:

Offset.jpg

  • Replies 23
  • Created
  • Last Reply

Top Posters In This Topic

  • casualmasters

    10

  • Lee Mac

    8

  • eldon

    4

  • CarlB

    2

Popular Days

Top Posters In This Topic

Posted Images

Posted
In the attached picture, you can see that if I offset the spline at -25.00 contour, there are many more grip points. I turned the -20.00 contour to a polyline, by using FLATTEN in Express Tools, and then offset it, and you can see that there are fewer grip points. Then use PEDIT, and decurve the polyline and there are even fewer grip points. You can now move these points where you want them. When you have moved them, then use PEDIT, and fit a curve.

 

I have given you all the commands that you need, and now you have to find out these commands and learn. :wink:

thank you very very much

Posted

Hope you get it all sorted... meanwhile, I'm going to see if I can fix that LISP I posted... :oops:

Posted

After flattening your Splines, try this:

 

(defun c:off (/ vLst oVar aEnt bEnt acy i pnt nrpnt)
 (vl-load-com)
 (setq vLst (list "CMDECHO" "OSMODE" "CLAYER")
   oVar (mapcar 'getvar vLst))
 (setvar "CMDECHO" 0) (setvar "OSMODE" 0)
 (if (not (tblsearch "LAYER" "INTERMEDIATE"))
   (command "-layer" "M" "INTERMEDIATE" "_C" "15" "INTERMEDIATE" "")
   (setvar "CLAYER" "INTERMEDIATE"))
 (if (and (setq aEnt (car (entsel "\nSelect First Contour... "))
        bEnt (car (entsel "\nSelect Second Contour...")))
      (= "LWPOLYLINE" (cdadr (entget aEnt)) (cdadr (entget bEnt))))
   (progn
     (setq acy 10.0 i 1.0)
     (command "_pline")
     (while (setq pnt (vlax-curve-GetPointAtDist aEnt (* i acy)))
   (setq nrpnt (vlax-curve-GetClosestPointTo bEnt pnt))
   (command (polar pnt (angle pnt nrpnt) (/ (distance pnt nrpnt) 2)))
   (setq i (1+ i)))
     (command))
   (princ "\nNo Polyline Selected or this isn't a Polyline..."))
 (mapcar 'setvar vLst oVar)
 (princ))

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...